Get watched thread details and follow-up timestamps
Does not expose full email bodies.
curl -X GET "https://app.nudgeforme.com/api/v1/conversations/details?organizationId=example_string&threadId=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://app.nudgeforme.com/api/v1/conversations/details?organizationId=example_string&threadId=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://app.nudgeforme.com/api/v1/conversations/details?organizationId=example_string&threadId=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://app.nudgeforme.com/api/v1/conversations/details?organizationId=example_string&threadId=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://app.nudgeforme.com/api/v1/conversations/details?organizationId=example_string&threadId=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{}
GET
/conversations/details
GET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredNudge developer API key (REST only) or OAuth access token.
Nudge developer API key (REST only) or OAuth access token.
query
organizationIdstring
Optional organization context; must be authorized.
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Nudge developer API key (REST only) or OAuth access token.
Query Parameters
organizationIdstring
Optional organization context; must be authorized.
Responses
Operation result; structure depends on the endpoint.
Was this page helpful?